import {FormControl} from '@angular/forms';

/************************
 * 手机号码验证
 */
export function mobileValidator(control: FormControl): any {
  const reg = /^(((13[0-9]{1})|(15[0-9]{1})|(18[0-9]{1})|(17[0-9]{1}))+\d{8})$/;
  const result = reg.test(control.value);
  return result ? null : { mobile : '请输入正确的手机号' } ;
}
